---
title: Wayfinding
tags:
- projects
---
```plantuml
@startuml

class device {
  synced from DS platform
  --
  has a URL for each direction
}

class position {
  Latitude & longitude
  --
  Needs mapping into bgimage for
  the "You are here" indicator
}

class direction {
  --
  (=Blickrichtung)
}

class destination {
  building
  rental object
  free type
}

class bgimage {
  
}

class svggraph {
  
}

class category {
  taxonomy
}

class entry {
  user
  free type
}

device "many" --> "1" direction : has
entry "1" --> "many" category : has
direction "1" --> "1" bgimage : has
direction "many" - "many" destination
(direction,destination) . svggraph
entry "1" --> "1" destination
device -> position : has
destination -> position : has

@enduml
```

As soon as an entry is selected on a specific device, we do have the position of
the device and the assigned destination of that entry. From those two positions
we can generate navigation instructions through the GoogleMaps API and present
a QR code with the link to it such that this can be captured by a mobile phone
and further instructions are available on the go.
